org.eclipse.emf.cdo.spi.server

## Class SyncingUtil

- java.lang.Object
- - org.eclipse.emf.cdo.spi.server.SyncingUtil

-     public final class SyncingUtil
      extends java.lang.Object

  Static methods that may help with classes related to repository synchronization.
  Since:
    4.1
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static InternalView` | `openViewWithLockArea(InternalSession session, InternalLockManager lockManager, CDOBranch viewedBranch, java.lang.String lockAreaID)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### openViewWithLockArea

          public static InternalView openViewWithLockArea(InternalSession session,
                                                          InternalLockManager lockManager,
                                                          CDOBranch viewedBranch,
                                                          java.lang.String lockAreaID)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html